// AfterGenerics.java

import java.util.*;

public class AfterGenerics
{
   public static void main (String [] args)
   {
      List<Double> l = new ArrayList<Double> ();

      l.add (101.0);
      l.add (89.0);
      l.add (33.0);

      double avg = calculateAverage (l);
      System.out.println ("Average = " + avg);

      l.add ("Average");
      avg = calculateAverage (l);
      System.out.println ("Average = " + avg);
   }

   static double calculateAverage (List<Double> l)
   {
      double sum = 0.0;
      Iterator<Double> iter = l.iterator ();
      while (iter.hasNext ())
         sum += iter.next ();

      return sum / l.size ();
   }
}
