// GenericMethod.java

import java.util.*;

public class GenericMethod
{
   public static void main (String [] args)
   {
      List <String> list = new ArrayList<String> ();
      list.add ("ABC");
      list.add ("DEF");
      list.add ("ABC");

      outputCollection ("List", list);
  
      Set<String> set = new TreeSet<String> ();
      copyCollection (list, set);

      outputCollection ("Set", set);
   }

   static <T> void copyCollection (Collection<T> c1, Collection<T> c2)
   {
      for (T o: c1)
           c2.add (o);
   }

   static void outputCollection (String header, Collection<?> c)
   {
      System.out.println (header);
      System.out.println ();

      for (Object o: c)
           System.out.println (o);

      System.out.println ();
   }
}
